<template>
  <v-menu
    v-model="menu"
    :close-on-content-click="false"
    :nudge-right="40"
    transition="scale-transition"
    offset-y
    min-width="auto"
  >
    <template v-slot:activator="{ on, attrs }">
      <v-text-field
        :value="insideValue"
        :label="title"
        prepend-icon="mdi-calendar"
        readonly
        v-bind="attrs"
        v-on="on"
      ></v-text-field>
    </template>
    <v-date-picker
      v-model="insideValue"
    ></v-date-picker>
  </v-menu>
</template>

<script>
export default {
  name: 'inline-date-picker',
  props: {
    title: String,
    value: String,
    dense: {
      type: Boolean,
      default: false,
    }
  },
  data: () => ({
    menu: false,
  }),
  computed: {
    insideValue: {
      get: function() {
        return this.value
      },
      set: function(newValue) {
        this.menu = false
        this.$emit('input', newValue)
      }
    }
  },
  mounted: function() {
    if(!this.value) {
      this.insideValue = (new Date(Date.now() - (new Date()).getTimezoneOffset() * 60000)).toISOString().substr(0, 10)
    }
  },
  methods: {
  },
}
</script>